Skip to main content
`Ctrl`+`K`

# RGInitializePackage

This function initializes everything in the `RG` package. It is called from `PetscDLLibraryRegister_slepc()` when using dynamic libraries, and on the first call to `RGCreate()` when using shared or static libraries.

## Synopsis

    #include "slepcrg.h"
    PetscErrorCode RGInitializePackage(void)

## Note

This function never needs to be called by SLEPc users.

## See Also

RG: Region, `RG`, `SlepcInitialize()`, `RGFinalizePackage()`

## Level

developer

## Location

src/sys/classes/rg/interface/rgbasic.c

Index of all RG routines Table of Contents for all manual pages Index of all manual pages